﻿using EduSpider.Model.Entity;
using EduSpider.Model.Extend;
using EduSpider.Repository.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EduSpider.Repository
{
    /// <summary>
    /// 考试得分仓储层
    /// </summary>
    public class Exam_ScoreRepository : BaseRepository<RB_Exam_Score>, IExam_ScoreRepository
    {
        public List<RB_Exam_Score_Extend> GetList(RB_Exam_Score_Extend dmodel)
        {
            string where = " 1=1";
            if (dmodel.ExamId > 0)
            {
                where += $" and {nameof(RB_Exam_Score_Extend.ExamId)} ={dmodel.ExamId}";
            }
            if (dmodel.StuId > 0)
            {
                where += $" and {nameof(RB_Exam_Score_Extend.StuId)} ={dmodel.StuId}";
            }
            string sql = $"select * from RB_Exam_Score where {where}";
            return Get<RB_Exam_Score_Extend>(sql).ToList();
        }
    }
}
